Class | Chef::Mixin::Language::PlatformFamilyDependentValue
In: | lib/chef/mixin/language.rb
Parent: | Object

Implementation class for determining platform family dependent values

### Methods

new value_for_node

### Public Class methods

new(platform_family_hash)

Create a platform family dependent value object.

### Arguments

platform_family_hash (Hash) a map of platform families to values. like this:

      {
        :rhel => "value for all EL variants"
        :fedora =>  "value for fedora variants fedora and amazon" ,
        [:fedora, :rhel] => "value for all known redhat variants"
        :debian =>  "value for debian variants including debian, ubuntu, mint" ,
        :default => "the default when nothing else matches"
      }

- platform families can be specified as Symbols or Strings
- multiple platform families can be grouped by using an Array as the key
- values for platform families can be any object, with no restrictions. Some examples:
  - [:stop, :start]
  - "mysql-devel"
  - { :key => "value" }

### Public Instance methods

value_for_node(node)

[Validate]